
<h1 align="center">Android Developer Roadmap 2022</h1></br>

<p align="center">
  <a href="https://opensource.org/licenses/Apache-2.0"><img alt="License" src="https://img.shields.io/badge/License-Apache%202.0-blue.svg"/></a>
  <a href="https://github.com/skydoves/android-developer-roadmap/actions/workflows/build.yml"><img alt="Build Status" src="https://github.com/skydoves/android-developer-roadmap/actions/workflows/build.yml/badge.svg"/></a>
  <a href="https://mailchi.mp/kotlinweekly/kotlin-weekly-279"><img alt="Kotlin Weekly" src="https://skydoves.github.io/badges/kotlin-weekly2.svg"/></a>
  <a href="https://androidweekly.net/issues/issue-495"><img alt="Android Weekly" src="https://skydoves.github.io/badges/android-weekly.svg"/></a>
</p>
<p align="center">
<a href="/README.md" target="_blank"> English </a> | <a href="/README_KR.md" target="_blank"> 한국어 </a> | <a href="/README_DE.md" target="_blank"> Deutsch </a> | <a href="/README_ES.md" target="_blank"> Español</a>
</p>


El Android Developer Roadmap 2022 sugiere diferentes caminos de aprendizaje para entender el desarrollo software en Android. Puedes leer el mapa siguiendo la línea central. <br>

Cada nodo simboliza un concepto del ecosistema Android, el SDK de Android, y algunas librerías populares. Para obtener más información sobre terminologías específicas, por favor, diríjase a la [Documentación para desarrolladores](https://developer.android.com/reference) o a GitHub. <br>

Adicionalmente, **no necesitas aprender todo lo que se encuentra en este mapa**. De tal forma que recomendamos leer solamente aquello que te pueda resultar de ayuda.

## Roadmap

![Roadmap](/images/android_developer_roadmap.png)

## Articles

![Article](/images/article.png)

The 2022 Android Developer Roadmap is designed to give you a comprehensive understanding of the current Android ecosystem and provides suggested learning paths along the way to help you grasp the concepts.<br>

In this multipart series, you'll learn all about the Android development ecosystem following our 2022 Android Developer Roadmap, giving you a more holistic view of the Android community and how you can progress as a developer.

- **[The 2022 Android Developer Roadmap: Part 1](https://getstream.io/blog/android-developer-roadmap/)**
- **[The 2022 Android Developer Roadmap: Part 2](https://getstream.io/blog/android-developer-roadmap-part-2/)**

If you'd like to get notified as we release future posts, join the **[watchers](https://github.com/skydoves/android-developer-roadmap/watchers)** on GitHub or follow **[Stream](https://twitter.com/getstream_io)** on Twitter.

## Aplicación de demostración

Este proyecto incluye una demostración la cual muestra una imagen del mapa. Puedes descargarte la última versión del APK en las [Releases](https://github.com/skydoves/android-developer-roadmap/releases).

## Contribución

Este proyecto no lo cubre todo, así que si hay algo que falte o que deba ser arreglado, cualquiera puede contribuir siguiendo la [GUÍA DE CONTRIBUCIÓN](CONTRIBUTING.md).

## Inspiración

Este proyecto ha sido inspirado por [Android Developer Roadmap 2020](https://github.com/mobile-roadmap/android-developer-roadmap). Gracias a los autores por prestar la idea. Puedes aprender mucho en ese repositorio.

## ¿Ha sido de utilidad este proyecto? :heart:

Apóyalo uniéndote a los __[stargazers](https://github.com/skydoves/android-developer-roadmap/stargazers)__ de este repositorio. :star:

## Licencia
```
Copyright 2021 Stream.IO, Inc. All Rights Reserved.

Licensed under the Apache License, Version 2.0 (the "License");
you may not use this file except in compliance with the License.
You may obtain a copy of the License at

   http://www.apache.org/licenses/LICENSE-2.0

Unless required by applicable law or agreed to in writing, software
distributed under the License is distributed on an "AS IS" BASIS,
WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
See the License for the specific language governing permissions and
limitations under the License.
```
